html, body {
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
}

h1, h2, h3, h4, h5, h6 {
  margin: 20px 0 10px;
  padding: 0;
  font-weight: bold;
  -webkit-font-smoothing: antialiased;
  cursor: text;
  position: relative;
}

h1:hover a.anchor, h2:hover a.anchor, h3:hover a.anchor, h4:hover a.anchor, h5:hover a.anchor, h6:hover a.anchor {
  text-decoration: none;
}

a {
  color: rgb(50, 100, 220);
  font-weight: bold;
  text-decoration: none;
}

code{
  white-space: pre;
}

figcaption {
  display: none;
}

h1 tt, h1 code {
  font-size: inherit;
}

h2 tt, h2 code {
  font-size: inherit;
}

h3 tt, h3 code {
  font-size: inherit;
}

h4 tt, h4 code {
  font-size: inherit;
}

h5 tt, h5 code {
  font-size: inherit;
}

h6 tt, h6 code {
  font-size: inherit;
}

h1 {
  font-size: 28px;
  color: black;

  background-color: rgb(50, 100, 220);
  border-radius: 5px;
  padding: 10px;
  color: #FFF;
}

h2 {
  font-size: 21px;
  margin: 35px 0px 20px 0px;
  color: black;

  background-color: rgb(50, 100, 220);
  border-radius: 5px;
  padding: 5px 10px;
  color: #FFF;
}

h3 {
  border-bottom: 2px solid #cccccc;
  font-size: 21px;
  margin: 30px 0 10px;
}

h4 {
  font-size: 18px;
}

h5 {
  font-size: 16px;
}

h6 {
  color: #777777;
  font-size: 14px;
}

ul {
  padding-left: 30px;
}

thead th {
  background-color: #EEE;
}
tbody tr td:first-child {
  font-weight: bold;
}

.flex {
  display: flex;
  height: 100%;
  max-height: 100%;
}

.side-menu {
  width: 300px;
  padding: 10px;
  overflow: auto;
  line-height: 1.8;
}
.side-menu img {
  width: 100%;
}

.contents {
  flex: 1 1 0;
  padding: 10px 20px 30px;
  overflow: auto;

  img {
    border: 1px #333 solid;
    overflow: hidden;
    border-radius: 3px;
  }
}

table {
  border-collapse: collapse;
  padding: 0;

  tr {
    border-top: 1px solid #cccccc;
    background-color: white;
    margin: 0;
    padding: 0;

    th {
      font-weight: bold;
      border: 1px solid #cccccc;
      text-align: left;
      margin: 0;
      padding: 6px 13px;
    }

    td {
      border: 1px solid #cccccc;
      text-align: left;
      margin: 0;
      padding: 6px 13px;
    }

    :first-child {
      margin-top: 0;
    }

    :last-child {
      margin-bottom: 0;
    }
  }
}

img {
  max-width: 100%;
}

p {
  margin: 0.5em 0 1em;
}
p.caption {
  display: none;
}

blockquote {
  margin: 0;
}
blockquote p {
  border: 1px rgb(50, 100, 220) solid;
  padding: 5px 10px;
  border-radius: 5px;
  font-weight: bold;
}

pre {
  display: block;
  padding: 9.5px;
  margin: 0 0 10px;
  font-size: 15px;
  line-height: 20px;
  word-break: break-all;
  word-wrap: break-word;
  white-space: pre;
  white-space: pre-wrap;
  background-color: #f5f5f5;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, 0.15);
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
}

span.marker {
  margin-top: 10px;

  background: linear-gradient(transparent 70%, #afbddb 70%);
  font-weight: bold;
}

div.qa {
  .elem {
    margin: 15px;
    padding: 10px;

    background: #f5f8fa;

    border-radius: 5px;
  }
}